Subject: Re: linux-next: manual merge of the clk tree with Linus' tree

From: Mike Turquette <[email-masked]>
Date: Tue, 27 Aug 2013 09:53:19 -0700

Quoting Sören Brinkmann (2013-08-27 08:44:11)
> On Tue, Aug 27, 2013 at 11:09:52AM +0100, James Hogan wrote:
> > On 27/08/13 10:03, Stephen Rothwell wrote:
> > > Hi Mike,
> > > 
> > > Today's linux-next merge of the clk tree got a conflict in
> > > drivers/clk/zynq/clkc.c between commits 252957cc3a2d ("clk/zynq/clkc: Add
> > > dedicated spinlock for the SWDT") and 765b7d4c4cb3
> > > ("clk/zynq/clkc: Add CLK_SET_RATE_PARENT flag to ethernet muxes") from
> > > Linus' tree and commit 819c1de344c5 ("clk: add CLK_SET_RATE_NO_REPARENT
> > > flag") from the clk tree.
> > > 
> > > I fixed it up (see below and in a couple of places I chose
> > > CLK_SET_RATE_NO_REPARENT over CLK_SET_RATE_PARENT, which may, of course,
> > > be wrong) and can carry the fix as necessary (no action is required).
> > 
> > The case you mentioned looks correct to me.
> > 
> > I can't see todays -next yet, but if by "choose CLK_SET_RATE_NO_REPARENT
> > over CLK_SET_RATE_PARENT" you mean one branch adds CLK_SET_RATE_PARENT,
> > clk-next adds CLK_SET_RATE_NO_REPARENT, and the resolution ends up with
> > only CLK_SET_RATE_NOREPARENT then that sounds wrong, as the two flags
> > are orthogonal.
> 
> I can just agree, the case included in the mail looks correct, but in
> case of other conflicts both flags should be set. Just like in the case
> shown here.

Stephen's fix is correct. The Zynq patches came in as fixes so I think
this will be a rare event.

Regards,
Mike

>         Sören